Index: code/branches/pickupsFS14/src/modules/jump/JumpFigure.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpFigure.h	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpFigure.h	(revision 10050)
@@ -0,0 +1,137 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpFigure.h
+    @brief Declaration of the JumpFigure class.
+    @ingroup Jump
+*/
+
+#ifndef _JumpFigure_H__
+#define _JumpFigure_H__
+
+#include "jump/JumpPrereqs.h"
+
+#include "worldentities/ControllableEntity.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        The JumpFigure class manages the bats for @ref orxonox::Jump "Jump", which are the elements controlled by the players.
+
+        It is responsible for the movement (controlled by the players) of the bat.
+
+    @author
+        Fabian 'x3n' Landau
+
+    @ingroup Jump
+    */
+    class _JumpExport JumpFigure : public ControllableEntity
+    {
+        public:
+            JumpFigure(Context* context); //!< Constructor. Registers and initializes the object.
+            virtual ~JumpFigure() {}
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+            virtual void tick(float dt);
+
+            virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
+            virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
+
+            virtual void rotateYaw(const Vector2& value);
+            virtual void rotatePitch(const Vector2& value);
+            virtual void rotateRoll(const Vector2& value);
+
+            virtual void fired(unsigned int firemode);
+
+            virtual void JumpFromPlatform(JumpPlatform* platform);
+
+            /**
+            @brief Set the height of the playing field.
+            @param height The height of the playing field.
+            */
+            void setFieldDimension(float width, float height)
+                { this->fieldWidth_ = width; this->fieldHeight_ = height; }
+
+            void setFieldDimension(const Vector2& dimension)
+                { this->setFieldDimension(dimension.x, dimension.y); }
+
+            void setMouseFactor(const float mouseFactor)
+                { this->mouseFactor_ = mouseFactor; }
+
+            const float getMouseFactor() const
+                { return this->mouseFactor_; }
+
+            /**
+            @brief Get the height of the playing field.
+            @return Returns the height of the playing field.
+            */
+            Vector2 getFieldDimension() const
+                { return Vector2(this->fieldWidth_, this->fieldHeight_); }
+
+            /**
+            @brief Set the length of the bat.
+            @param length The length of the bat (in z-direction) as percentage of the height of the playing field.
+            */
+            void setLength(float length)
+                { this->length_ = length; }
+            /**
+            @brief Get the length of the bat.
+            @return Returns the length of the bat (in z-direction) as percentage of the height of the playing field.
+            */
+            float getLength() const
+                { return this->length_; }
+
+            bool fireSignal;
+        private:
+            float movement_; //!< The amount (and direction), in z-direction, of movement of the bat.
+            bool bMoveLocal_; //!< Helper to know whether the movement is caused by moveFrontBack() or moveRightLeft().
+            float length_; //!< The length of the bat (in z-direction) as percentage of the height of the playing field.
+            float fieldWidth_; //!< The height of the playing field.
+            float fieldHeight_;
+            bool bSteadiedPosition_; //!< Helper boolean, to keep track of when to steady the position, to ensure network synchronicity.
+            float timeSinceLastFire;
+
+            bool moveUpPressed;
+            bool moveDownPressed;
+            bool moveLeftPressed;
+            bool moveRightPressed;
+            bool firePressed;
+
+            float gravityAcceleration;
+            float mouseFactor_;
+            float maxFireRate;
+
+            float horizontalSpeed;
+    };
+}
+
+#endif /* _JumpFigure_H__ */
Index: code/branches/pickupsFS14/src/modules/jump/JumpItem.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpItem.cc	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpItem.cc	(revision 10050)
@@ -0,0 +1,145 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpItem.cc
+    @brief Implementation of the JumpItem class.
+*/
+
+#include "JumpItem.h"
+
+#include "core/CoreIncludes.h"
+#include "core/GameMode.h"
+#include "graphics/Model.h"
+#include "gametypes/Gametype.h"
+
+#include "JumpFigure.h"
+
+#include "sound/WorldSound.h"
+#include "core/XMLPort.h"
+
+namespace orxonox
+{
+    RegisterClass(JumpItem);
+
+    /**
+    @brief
+        Constructor. Registers and initializes the object.
+    */
+    JumpItem::JumpItem(Context* context) : MovableEntity(context)
+    {
+        RegisterObject(JumpItem);
+
+        this->figure_ = 0;
+        setProperties(0.0, 0.0, 0.0, 0.0, 0.0, 0.0);
+        this->setPosition(Vector3(0,0,0));
+        this->setVelocity(Vector3(0,0,0));
+        this->setAcceleration(Vector3(0,0,0));
+    }
+
+    /**
+    @brief
+        Destructor.
+    */
+    JumpItem::~JumpItem()
+    {
+        /*if (this->isInitialized())
+        {
+            if (this->bDeleteBats_)
+                delete this->figure_;
+
+            delete[] this->batID_;
+        }*/
+    }
+
+    //xml port for loading sounds
+    void JumpItem::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(JumpItem, XMLPort, xmlelement, mode);
+    }
+
+    /**
+    @brief
+        Is called every tick.
+        Handles the movement of the ball and its interaction with the boundaries and bats.
+    @param dt
+        The time since the last tick.
+    */
+    void JumpItem::tick(float dt)
+    {
+        SUPER(JumpItem, tick, dt);
+
+        // Get the current position, velocity and acceleration of the enemy.
+        Vector3 position = getPosition();
+        Vector3 velocity = getVelocity();
+
+        if ((position.x < leftBoundary_ && velocity.x < 0) || (position.x > rightBoundary_ && velocity.x > 0))
+        {
+        	velocity.x = -velocity.x;
+        }
+
+        if ((position.z < lowerBoundary_ && velocity.z < 0) || (position.z > upperBoundary_ && velocity.z > 0))
+        {
+        	velocity.z = -velocity.z;
+        }
+
+        // Set the position, velocity and acceleration of the enemy, if they have changed.
+        if (velocity != getVelocity())
+            setVelocity(velocity);
+        if (position != getPosition())
+            setPosition(position);
+
+
+    }
+
+    void JumpItem::setProperties(float newLeftBoundary, float newRightBoundary, float newLowerBoundary, float newUpperBoundary, float newHSpeed, float newVSpeed)
+    {
+        leftBoundary_ = newLeftBoundary;
+        rightBoundary_ = newRightBoundary;
+        lowerBoundary_ = newLowerBoundary;
+        upperBoundary_ = newUpperBoundary;
+
+        this->setVelocity(Vector3(newHSpeed,0,newVSpeed));
+    }
+
+    /**
+    @brief
+        Set the bats for the ball.
+    @param bats
+        An array (of size 2) of weak pointers, to be set as the new bats.
+    */
+    void JumpItem::setFigure(WeakPtr<JumpFigure> newFigure)
+    {
+        figure_ = newFigure;
+    }
+
+    void JumpItem::touchFigure()
+    {
+
+    }
+}
Index: code/branches/pickupsFS14/src/modules/jump/JumpItem.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpItem.h	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpItem.h	(revision 10050)
@@ -0,0 +1,108 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpItem.h
+    @brief Declaration of the JumpItem class.
+    @ingroup Jump
+*/
+
+#ifndef _JumpItem_H__
+#define _JumpItem_H__
+
+#include "jump/JumpPrereqs.h"
+
+#include "util/Math.h"
+
+#include "worldentities/MovableEntity.h"
+
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        This class manages the ball for @ref orxonox::Jump "Jump".
+
+        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
+
+    @author
+        Fabian 'x3n' Landau
+
+    @ingroup Jump
+    */
+    class _JumpExport JumpItem : public MovableEntity
+    {
+        public:
+            JumpItem(Context* context);
+            virtual ~JumpItem();
+
+            virtual void tick(float dt);
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+            /**
+            @brief Set the dimensions of the playing field.
+            @param width The width of the playing field.
+            @param height The height of the playing field.
+            */
+            void setFieldDimension(float width, float height)
+                { this->fieldWidth_ = width; this->fieldHeight_ = height; }
+            /**
+            @brief Get the dimensions of the playing field.
+            @param dimension A vector with the width as the first and height as the second component.
+            */
+            void setFieldDimension(const Vector2& dimension)
+                { this->setFieldDimension(dimension.x, dimension.y); }
+            /**
+            @brief Get the dimensions of the playing field.
+            @return Returns a vector with the width as the first and height as the second component.
+            */
+            Vector2 getFieldDimension() const
+                { return Vector2(this->fieldWidth_, this->fieldHeight_); }
+
+            virtual void setProperties(float newLeftBoundary, float newRightBoundary, float newLowerBoundary, float newUpperBoundary, float newHSpeed, float newVSpeed);
+
+            void setFigure(WeakPtr<JumpFigure> bats); //!< Set the bats for the ball.
+
+            virtual void touchFigure();
+
+        protected:
+            float fieldWidth_; //!< The width of the playing field.
+            float fieldHeight_; //!< The height of the playing field.
+
+            float leftBoundary_;
+            float rightBoundary_;
+            float lowerBoundary_;
+            float upperBoundary_;
+
+            WeakPtr<JumpFigure> figure_; //!< An array with the two bats.
+    };
+}
+
+#endif /* _JumpItem_H__ */
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatform.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatform.cc	(revision 10041)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatform.cc	(revision 10050)
@@ -59,10 +59,4 @@
 
         this->figure_ = 0;
-        this->bDeleteBats_ = false;
-        this->batID_ = new unsigned int[1];
-        this->batID_[0] = OBJECTID_UNKNOWN;
-        this->relMercyOffset_ = 0.05f;
-
-        this->registerVariables();
 
         //initialize sound
@@ -86,6 +80,4 @@
         this->setVelocity(Vector3(0,0,0));
         this->setAcceleration(Vector3(0,0,0));
-
-        model = NULL;
     }
 
@@ -116,17 +108,4 @@
     /**
     @brief
-        Register variables to synchronize over the network.
-    */
-    void JumpPlatform::registerVariables()
-    {
-        registerVariable( this->fieldWidth_ );
-        registerVariable( this->fieldHeight_ );
-        registerVariable( this->relMercyOffset_ );
-        registerVariable( this->batID_[0] );
-        //registerVariable( this->batID_[1], VariableDirection::ToClient, new NetworkCallback<JumpPlatform>( this, &JumpPlatform::applyBats) );
-    }
-
-    /**
-    @brief
         Is called every tick.
         Handles the movement of the ball and its interaction with the boundaries and bats.
@@ -147,5 +126,5 @@
             if(figureVelocity.z < 0 && figurePosition.x > platformPosition.x-10 && figurePosition.x < platformPosition.x+10 && figurePosition.z > platformPosition.z-4 && figurePosition.z < platformPosition.z+4)
             {
-            	figure_->JumpFromPlatform(200.0f);
+            	touchFigure();
             }
         }
@@ -249,33 +228,15 @@
     void JumpPlatform::setFigure(WeakPtr<JumpFigure> newFigure)
     {
-        if (this->bDeleteBats_) // If there are already some bats, delete them.
-        {
-            delete this->figure_;
-            this->bDeleteBats_ = false;
-        }
-
-        this->figure_ = newFigure;
-        // Also store their object IDs, for synchronization.
-        this->batID_[0] = this->figure_->getObjectID();
-    }
-
-    /**
-    @brief
-        Get the bats over the network.
-    */
-    void JumpPlatform::applyBats()
-    {
-        // Make space for the bats, if they don't exist, yet.
-        if (this->figure_ == NULL)
-        {
-            this->figure_ = *(new WeakPtr<JumpFigure>);
-            this->bDeleteBats_ = true;
-        }
-
-        if (this->batID_[0] != OBJECTID_UNKNOWN)
-        {
-        	// WAR IM PONG NICHT AUSKOMMENTIERT!!!
-            //this->figure_ = orxonox_cast<JumpFigure>(Synchronisable::getSynchronisable(this->batID_[0]));
-        }
+        figure_ = newFigure;
+    }
+
+    void JumpPlatform::accelerateFigure()
+    {
+    	figure_->JumpFromPlatform(this);
+    }
+
+    void JumpPlatform::touchFigure()
+    {
+
     }
 
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatform.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatform.h	(revision 10041)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatform.h	(revision 10050)
@@ -89,5 +89,7 @@
 
             void setFigure(WeakPtr<JumpFigure> bats); //!< Set the bats for the ball.
-            void applyBats(); //!< Get the bats over the network.
+
+            virtual void accelerateFigure();
+            virtual void touchFigure();
 
             static const float MAX_REL_Z_VELOCITY;
@@ -101,15 +103,9 @@
 
         protected:
-            void registerVariables();
-
             float fieldWidth_; //!< The width of the playing field.
             float fieldHeight_; //!< The height of the playing field.
             WeakPtr<JumpFigure> figure_; //!< An array with the two bats.
-            bool bDeleteBats_; //!< Bool, to keep track, of whether this->bat_ exists or not.
-            unsigned int* batID_; //!< The object IDs of the bats, to be able to synchronize them over the network.
-            float relMercyOffset_; //!< Offset, that makes the player not loose, when, in all fairness, he would have.
             WorldSound* defScoreSound_;
             WorldSound* defBatSound_;
-            Model* model;
             WorldSound* defBoundarySound_;
     };
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.cc	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.cc	(revision 10050)
@@ -0,0 +1,108 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpPlatformDisappear.cc
+    @brief Implementation of the JumpPlatform class.
+*/
+
+#include "JumpPlatformDisappear.h"
+
+#include "core/CoreIncludes.h"
+#include "core/GameMode.h"
+
+#include "gametypes/Gametype.h"
+
+#include "JumpFigure.h"
+
+#include "sound/WorldSound.h"
+#include "core/XMLPort.h"
+
+namespace orxonox
+{
+    RegisterClass(JumpPlatformDisappear);
+
+    /**
+    @brief
+        Constructor. Registers and initializes the object.
+    */
+    JumpPlatformDisappear::JumpPlatformDisappear(Context* context) : JumpPlatform(context)
+    {
+        RegisterObject(JumpPlatformDisappear);
+
+        setProperties(true);
+    }
+
+    /**
+    @brief
+        Destructor.
+    */
+    JumpPlatformDisappear::~JumpPlatformDisappear()
+    {
+
+    }
+
+
+    //xml port for loading sounds
+    void JumpPlatformDisappear::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(JumpPlatformDisappear, XMLPort, xmlelement, mode);
+    }
+
+    /**
+    @brief
+        Is called every tick.
+        Handles the movement of the ball and its interaction with the boundaries and bats.
+    @param dt
+        The time since the last tick.
+    */
+    void JumpPlatformDisappear::tick(float dt)
+    {
+        SUPER(JumpPlatformDisappear, tick, dt);
+    }
+
+    void JumpPlatformDisappear::setProperties(bool active)
+    {
+    	active_ = active;
+    }
+
+    bool JumpPlatformDisappear::isActive()
+    {
+    	return active_;
+    }
+
+    void JumpPlatformDisappear::touchFigure()
+    {
+    	if (isActive())
+    	{
+        	accelerateFigure();
+        	active_ = false;
+        	orxout() << "platform deactivated" << endl;
+    	}
+    }
+}
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.h	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.h	(revision 10050)
@@ -0,0 +1,79 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpPlatformDisappear.h
+    @brief Declaration of the JumpPlatformDisappear class.
+    @ingroup Jump
+*/
+
+#ifndef _JumpPlatformDisappear_H__
+#define _JumpPlatformDisappear_H__
+
+#include "jump/JumpPrereqs.h"
+
+#include "util/Math.h"
+
+#include "worldentities/MovableEntity.h"
+
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        This class manages the ball for @ref orxonox::Jump "Jump".
+
+        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
+
+    @author
+        Fabian 'x3n' Landau
+
+    @ingroup Jump
+    */
+    class _JumpExport JumpPlatformDisappear : public JumpPlatform
+    {
+        public:
+    	    JumpPlatformDisappear(Context* context);
+            virtual ~JumpPlatformDisappear();
+
+            virtual void tick(float dt);
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+            virtual void setProperties(bool active);
+            virtual bool isActive();
+            virtual void touchFigure();
+
+
+        protected:
+            bool active_;
+    };
+}
+
+#endif /* _JumpPlatformDisappear_H__ */
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.cc	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.cc	(revision 10050)
@@ -0,0 +1,88 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpPlatformFake.cc
+    @brief Implementation of the JumpPlatform class.
+*/
+
+#include "JumpPlatformFake.h"
+
+#include "core/CoreIncludes.h"
+#include "core/GameMode.h"
+
+#include "gametypes/Gametype.h"
+
+#include "JumpFigure.h"
+
+#include "sound/WorldSound.h"
+#include "core/XMLPort.h"
+
+#include "graphics/Backlight.h"
+
+namespace orxonox
+{
+    RegisterClass(JumpPlatformFake);
+
+    /**
+    @brief
+        Constructor. Registers and initializes the object.
+    */
+    JumpPlatformFake::JumpPlatformFake(Context* context) : JumpPlatform(context)
+    {
+        RegisterObject(JumpPlatformFake);
+    }
+
+    /**
+    @brief
+        Destructor.
+    */
+    JumpPlatformFake::~JumpPlatformFake()
+    {
+
+    }
+
+    //xml port for loading sounds
+    void JumpPlatformFake::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(JumpPlatformFake, XMLPort, xmlelement, mode);
+    }
+
+    /**
+    @brief
+        Is called every tick.
+        Handles the movement of the ball and its interaction with the boundaries and bats.
+    @param dt
+        The time since the last tick.
+    */
+    void JumpPlatformFake::tick(float dt)
+    {
+        SUPER(JumpPlatformFake, tick, dt);
+    }
+
+}
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.h	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.h	(revision 10050)
@@ -0,0 +1,70 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpPlatformFake.h
+    @brief Declaration of the JumpPlatform class.
+    @ingroup Jump
+*/
+
+#ifndef _JumpPlatformFake_H__
+#define _JumpPlatformFake_H__
+
+#include "jump/JumpPrereqs.h"
+
+#include "util/Math.h"
+
+#include "worldentities/MovableEntity.h"
+
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        This class manages the ball for @ref orxonox::Jump "Jump".
+
+        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
+
+    @author
+        Fabian 'x3n' Landau
+
+    @ingroup Jump
+    */
+    class _JumpExport JumpPlatformFake : public JumpPlatform
+    {
+        public:
+    	    JumpPlatformFake(Context* context);
+            virtual ~JumpPlatformFake();
+
+            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+    };
+}
+
+#endif /* _JumpPlatformFake_H__ */
